# $Revision: 1.35 $, $Date: 2004/05/06 18:43:10 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ExtUtils
%define	pnam	F77
Summary:	ExtUtils::F77 Perl module - simple interface to F77 libraries
Summary(pl):	Modu Perla ExtUtils::F77 - prosty interfejs do bibliotek F77
Name:		perl-ExtUtils-F77
Version:	1.14
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8b25d181fdedd3cdc6d5d26b9bf94d27
Patch0:		%{name}-gcc.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	gcc-g77
Requires:	gcc-g77
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module tries to figure out how to link C programs with Fortran
subroutines on your system. Basically one must add a list of Fortran
runtime libraries. The problem is their location and name varies with
each OS/compiler combination.

%description -l pl
Ten modu prbuje odkry, jak linkowa programy w C z obecnymi w
systemie procedurami Fortranu. Zasadniczo polega to na dodaniu listy
fortranowych bibliotek uruchomieniowych. Problem tkwi w ich pooeniu
i rnych nazwach w zalenoci od kombinacji systemu operacyjnego i
kompilatora.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorlib}/ExtUtils/F77.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-F77.spec,v $
Revision 1.35  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.34  2004/05/06 11:13:01  radek
- BR: gcc-g77

Revision 1.33  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.32  2003/11/02 16:24:48  qboosh
- patched so libg2c-static is it doesn't need libg2c static for lib detection
- added tests and informative summaries/descriptions
- release 6

Revision 1.31  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:32:04  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.22  2002/07/10 08:47:05  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:31:11  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:12:39  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:26:03  depesz
adapterized

Revision 1.16  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.14  2001/06/19 09:48:57  mis
- autoupdated to 1.14

Revision 1.13  2001/04/17 12:08:27  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/02 14:15:12  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.10  2000/09/05 09:05:24  zagrodzki
- Requires: g77

Revision 1.9  2000/09/05 07:15:52  kloczek
- updated to 1.13.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.3  1999/11/17 12:20:42  pius
- updated to 1.12

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
